cURL
curl --request POST \
--url https://api.mudstack.com/auth/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tempToken": "<string>"
}
'import requests
url = "https://api.mudstack.com/auth/validate"
payload = { "tempToken": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tempToken: '<string>'})
};
fetch('https://api.mudstack.com/auth/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": true,
"token": true
}Authentication
Validate access token
Given the access token, validate the associated user. Will create any required user and workspaces as well, it will upgrade any temporary workspaces to pro accounts.
If no authorization token present, then access is invalid. req.auth.sub must have the auth0 user id present.
POST
/
auth
/
validate
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
An existing temporary access token (optional)
Was this page helpful?
⌘I